Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IIOPA.h File Reference

`#include "tao/orbconf.h"`

Include dependency graph for IIOPA.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | IIOP
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
## Functions
TAO_Export void | operator<<= (CORBA::Any &, const IIOP::ListenPoint &)
TAO_Export void | operator<<= (CORBA::Any &, IIOP::ListenPoint *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, IIOP::ListenPoint *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const IIOP::ListenPoint *&)
TAO_Export void | operator<<= (CORBA::Any &, const IIOP::ListenPointList &)
TAO_Export void | operator<<= (CORBA::Any &, IIOP::ListenPointList *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, IIOP::ListenPointList *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const IIOP::ListenPointList *&)
TAO_Export void | operator<<= (CORBA::Any &, const IIOP::BiDirIIOPServiceContext &)
TAO_Export void | operator<<= (CORBA::Any &, IIOP::BiDirIIOPServiceContext *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, IIOP::BiDirIIOPServiceContext *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const IIOP::BiDirIIOPServiceContext *&)

## Define Documentation

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | IIOP::BiDirIIOPServiceContext * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const IIOP::BiDirIIOPServiceContext & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | IIOP::ListenPointList * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const IIOP::ListenPointList & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | IIOP::ListenPoint * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const IIOP::ListenPoint & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const IIOP::BiDirIIOPServiceContext *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | IIOP::BiDirIIOPServiceContext *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const IIOP::ListenPointList *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | IIOP::ListenPointList *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const IIOP::ListenPoint *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | IIOP::ListenPoint *& |
| ) |